Browsing Protection Firefox 8.0.1

Firefox is updated to 8.0.1 and Browsing Protection 2.0 is incompatible with the new version of Firefox.

Answers

This discussion has been closed.